aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authorCarl Dong <contact@carldong.me>2021-01-14 19:21:15 -0500
committerCarl Dong <contact@carldong.me>2021-01-17 18:43:58 -0500
commit1fca9811e1331ac5dae8188f6178cc37da4929a7 (patch)
tree76dfb035820a550f81ad936e0fd07881aded797a /test/lint
parenta91c46c57d88fc399432afab7bb0fb14c3e490a7 (diff)
downloadbitcoin-1fca9811e1331ac5dae8188f6178cc37da4929a7.tar.xz
lint: Skip whitespace lint for guix patches
Diffstat (limited to 'test/lint')
-rwxr-xr-xtest/lint/lint-whitespace.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-whitespace.sh b/test/lint/lint-whitespace.sh
index c800fd20db..37fcf7804a 100755
--- a/test/lint/lint-whitespace.sh
+++ b/test/lint/lint-whitespace.sh
@@ -33,7 +33,7 @@ if [ -z "${COMMIT_RANGE}" ]; then
fi
showdiff() {
- if ! git diff -U0 "${COMMIT_RANGE}" -- "." ":(exclude)depends/patches/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)doc/release-notes/" ":(exclude)src/qt/locale/"; then
+ if ! git diff -U0 "${COMMIT_RANGE}" -- "." ":(exclude)depends/patches/" ":(exclude)contrib/guix/patches/" ":(exclude)src/leveldb/" ":(exclude)src/crc32c/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/" ":(exclude)doc/release-notes/" ":(exclude)src/qt/locale/"; then
echo "Failed to get a diff"
exit 1
fi